Name: scanimage-to-jpeg
Version: 1
Release: alt2

Summary: Wrapper around scanimage which saves the result as JPEG

License: CC0
Group: Graphics
Url: http://git.altlinux.org/gears/s/%name

# scanimage can natively save in JPEG since 1.0.25-alt3
#Conflicts: sane > 0:1.0.25-alt2

BuildArch: noarch

Source0: scanimage-to-jpeg
%global executable scanimage-to-jpeg

%description
scanimage cannot save the result in JPEG before sane-1.0.25-alt3.
This is a simple wrapper around scanimage that converts the result to JPEG.

Usage:

%executable FILENAME [SCANIMAGE_OPTION ..]

It will create FILENAME.jpg in the current dir.

Example:

%executable document_p1 --resolution 600

%install
install -pm0755 -D %SOURCE0 -T %buildroot%_bindir/%executable

%check
readonly NAME=new-test-image
touch "$NAME".jpg
# Check that it won't overwrite an existing image:
! %buildroot%_bindir/%executable "$NAME"

%files
%_bindir/%executable

%changelog
* Thu Feb 06 2020 Ivan Zakharyaschev <imz@altlinux.org> 1-alt2
- %%check (that it won't overwrite an existing image).

* Sun Feb  2 2020 Ivan Zakharyaschev <imz@altlinux.org> 1-alt1
- initial build for ALT.


